Table of Contents

## Name

XtLastEventProcessed, XtLastTimestampProcessed - last event, last timestamp processed

## Syntax

XEvent* XtLastEventProcessed(Display* display);
Time XtLastTimestampProcessed(Display* display);

## Arguments

Specifies the open display connection.

## Description

XtLastEventProcessed returns the last event passed to XtDispatchEvent for the specified display and NULL if there has been no event. The client must not modify the contents of the returned event.

XtLastTimestampProcessed returns the timestamp of the last KeyPress, KeyRelease, ButtonPress, ButtonRelease, MotionNotify, EnterNotify, LeaveNotify, PropertyNotify, or SelectionClear event that has been passed to XtDispatchEvent for the specified display and zero if there has been no such event.

## See Also

X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also